Page MenuHomePhabricator

Reimage gerrit1001 and gerrit2001 as buster
Closed, ResolvedPublic

Description

Now that we have reimaged gerrit2001 as stretch T168562 lets do the same for cobalt. and possibly rename it to gerrit1001?

(Updating this task to update to buster instead)

Event Timeline

Paladox created this task.Sep 26 2017, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2017, 6:08 PM
Dzahn added a comment.Sep 26 2017, 6:24 PM

Not wrong, just too early for that. gerrit2001 isn't done yet, it's in the middle of the process. Yes to the renaming part... later.

Dzahn triaged this task as Lowest priority.Sep 26 2017, 6:24 PM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Sep 26 2017, 9:27 PM
Dzahn raised the priority of this task from Lowest to Low.Oct 23 2017, 5:16 PM

Moving up from Lowest to Low, we are getting closer since the latest systemd improvements on cobalt :)

demon lowered the priority of this task from Low to Lowest.Jan 31 2018, 12:17 AM

I wouldn't call this Lowest. Stretch is stable and we should have both gerrit servers on same distro version.

I wonder what our blockers were.

No blockers, other than the time I could ever possibly find to do it.

We should rename to gerrit1001 at the same time (also this task is blocked on T211139 since gerrit2001 cannot be used until we stop using the db)

Paladox renamed this task from Reimage cobalt as stretch to Reimage cobalt and gerrit2001 as buster.Jul 8 2019, 6:39 PM
Paladox updated the task description. (Show Details)

Cobalt is being replaced with Gerrit1001.

Dzahn claimed this task.Sep 20 2019, 7:06 PM
Dzahn raised the priority of this task from Lowest to Normal.
Dzahn added a comment.Mon, Oct 28, 9:51 PM

gerrit prod has switched from cobalt to gerrit1001, it will be decom'ed but we need to create the ticket for that.

gerrit2001 is on stretch but not on buster. Since the ticket has been renamed meanwhile to buster it will still need gerrit2001 reinstall.

Dzahn changed the status of subtask T236187: decom cobalt from Stalled to Open.Fri, Nov 1, 6:12 PM
Dzahn changed the status of subtask T236187: decom cobalt from Open to Stalled.Fri, Nov 1, 6:25 PM

Change 547774 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: switch gerrit2001 to buster and same partman as 1001

https://gerrit.wikimedia.org/r/547774

Change 547774 merged by Dzahn:
[operations/puppet@production] install_server: switch gerrit2001 to buster and same partman as 1001

https://gerrit.wikimedia.org/r/547774

Script wmf-auto-reimage was launched by dzahn on cumin1001.eqiad.wmnet for hosts:

gerrit2001.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201911011935_dzahn_192096_gerrit2001_wikimedia_org.log.

Completed auto-reimage of hosts:

['gerrit2001.wikimedia.org']

and were ALL successful.

Mentioned in SAL (#wikimedia-operations) [2019-11-01T21:06:10Z] <mutante> scp /usr/share/java/mysql-connector-java.jar from gerrit1001 to gerrit2001 (T176774)

Change 547796 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit: update ssh host key of gerrit2001 after reimage

https://gerrit.wikimedia.org/r/547796

Change 547796 merged by Dzahn:
[operations/puppet@production] gerrit: update ssh host key of gerrit2001 after reimage

https://gerrit.wikimedia.org/r/547796

Change 547818 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit: fix migration class, allow syncing data to gerrit2001

https://gerrit.wikimedia.org/r/547818

Change 547818 merged by Dzahn:
[operations/puppet@production] gerrit: fix migration class, allow syncing data to gerrit2001

https://gerrit.wikimedia.org/r/547818

Change 547827 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit: always include migration profile

https://gerrit.wikimedia.org/r/547827

Change 547827 merged by Dzahn:
[operations/puppet@production] gerrit: always include migration profile

https://gerrit.wikimedia.org/r/547827

Mentioned in SAL (#wikimedia-operations) [2019-11-01T23:45:28Z] <mutante> rsyncing gerrit git data from gerrit1001 to gerrit2001 (using --delete too!) T176774

Mentioned in SAL (#wikimedia-operations) [2019-11-02T00:05:03Z] <mutante> rsyncing gerrit plugin dir from gerrit1001 to gerrit2001 (T176774)

Mentioned in SAL (#wikimedia-operations) [2019-11-02T00:27:34Z] <mutante> gerrit2001 - copy mysql-connector-java.jar into /usr/share/java/ and link it into /var/lib/gerrit2/review_site/lib (T176774)

Mentioned in SAL (#wikimedia-operations) [2019-11-02T00:58:22Z] <mutante> gerrit-replica - created missing /var/lib/gerrit2/review_site/tmp and restarted service - service back up on buster (T176774)

Dzahn renamed this task from Reimage cobalt and gerrit2001 as buster to Reimage gerrit1001 and gerrit2001 as buster.EditedSat, Nov 2, 1:12 AM

cobalt is mostly decom'ed.

gerrit1001 is on buster and replaced it.

and now gerrit2001 is also on buster

Change 548550 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit: ensure tmp dir under review_site exists

https://gerrit.wikimedia.org/r/548550

Change 548550 merged by Dzahn:
[operations/puppet@production] gerrit: ensure tmp dir under review_site exists

https://gerrit.wikimedia.org/r/548550

Dzahn changed the status of subtask T236187: decom cobalt from Stalled to Open.Tue, Nov 5, 11:49 PM
Dzahn closed this task as Resolved.Tue, Nov 5, 11:55 PM

gerrit1001 and gerrit2001 are on buster and cobalt has been shut down and removed from DNS.